View Issue Details

IDProjectCategoryView StatusLast Update
0038311LazarusIDEpublic2021-02-12 00:32
ReporterPiotr Kardasz Assigned ToMartin Friebe  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionduplicate 
Product Version2.0.10 
Summary0038311: Lazarus hangs while debugging when mouse cursor is on a big table name
DescriptionWhile debugging program with a big table in it, and move the mouse cursor over the table name, the IDE tries to display the table. This causes the IDE to hang. The only way to escape is to use a task manager to kill Lazarus

The desired behavior is not to try to display a table if its size exceeds a limit.
TagsNo tags attached.
Fixed in Revision
LazTarget-
Widgetset
Attached Files

Relationships

related to 0037561 resolvedMartin Friebe hint on array crashes lazarus 

Activities

Juha Manninen

2021-01-05 17:42

developer   ~0128095

What kind of table are you talking about? Can you please upload an example project or point to a project somewhere with such problem.

Martin Friebe

2021-01-13 19:40

manager   ~0128302

Last edited: 2021-01-13 19:45

View 2 revisions

Please copy the declaration of the variable:

type
  TMyTableType = .....;
var
  MyTable: TMyTableType;

----------------------
If you can also attach a logfile or the debug output.
See https://wiki.lazarus.freepascal.org/GDB_Debugger_Tips#Log_info_for_debug_session

-----------------------
Please confirm, if you have made changes to the Debugger settings under: Menu > Tools > Options // Section Debugger?
Is this set to "gnu debugger ....)?

Which OS to you use?

====================
There is a chance this is the same as 0037561
In this case it is fixed for the next release.

Martin Friebe

2021-01-15 23:02

manager   ~0128367

Any feedback?

Just to add, in the menu: Tools > Options, under debugger are various properties to set limits to how much data to display. Those do however affect hints and watches.

Martin Friebe

2021-02-12 00:32

manager   ~0128905

No feedback received.

Based on the information available the issue appears to be a duplicate. If that is correct it will be fixed in 2.2.

If the issue still exist when 2.2 is released / Or if further info can be provided that shows it is not a duplicate, then please re-open the issue and attach more info on how to reproduce.

Issue History

Date Modified Username Field Change
2021-01-05 14:27 Piotr Kardasz New Issue
2021-01-05 17:42 Juha Manninen Note Added: 0128095
2021-01-08 15:16 Bart Broersma Status new => feedback
2021-01-08 15:16 Bart Broersma LazTarget => -
2021-01-13 19:40 Martin Friebe Assigned To => Martin Friebe
2021-01-13 19:40 Martin Friebe Status feedback => assigned
2021-01-13 19:40 Martin Friebe Note Added: 0128302
2021-01-13 19:40 Martin Friebe Status assigned => feedback
2021-01-13 19:44 Martin Friebe Relationship added related to 0037561
2021-01-13 19:45 Martin Friebe Note Edited: 0128302 View Revisions
2021-01-15 23:02 Martin Friebe Note Added: 0128367
2021-02-12 00:32 Martin Friebe Status feedback => resolved
2021-02-12 00:32 Martin Friebe Resolution open => duplicate
2021-02-12 00:32 Martin Friebe Note Added: 0128905